/**
 * OrganizationNameUse2.java
 *
 * File generated from the medication2::OrganizationNameUse2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration OrganizationNameUse2.
 *
 * 
 */

@XmlType(name = "OrganizationNameUse")
@XmlEnum
@XmlRootElement(name = "OrganizationNameUse2")
public enum OrganizationNameUse2 {
	@XmlEnumValue("C")
	C("C"),
	@XmlEnumValue("L")
	L("L"),
	@XmlEnumValue("SRCH")
	SRCH("SRCH"),
	@XmlEnumValue("PHON")
	PHON("PHON"),
	@XmlEnumValue("SNDX")
	SNDX("SNDX"),
	@XmlEnumValue("ABC")
	ABC("ABC"),
	@XmlEnumValue("IDE")
	IDE("IDE"),
	@XmlEnumValue("SYL")
	SYL("SYL");
	
	private final String value;

    OrganizationNameUse2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static OrganizationNameUse2 fromValue(String v) {
        for (OrganizationNameUse2 c: OrganizationNameUse2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
